Loading...
Searching...
No Matches
io.h File Reference
`#include <stdint.h>`
`#include "arc/std/string.h"`

Go to the source code of this file.

## Functions

void | ARC_IO_ReadFileToUint8t (ARC_String *path, uint8_t **data, uint64_t *length)
| get string and size from file
void | ARC_IO_FileToStr (ARC_String *path, ARC_String **data)
| get string and size from file
void | ARC_IO_WriteStrToFile (ARC_String *path, ARC_String *data)
| write string to file

## Function Documentation

## ARC_IO_FileToStr()

void ARC_IO_FileToStr | ( | ARC_String * | path,
|  | ARC_String ** | data )

get string and size from file

Parameters

  path | a string to path of target file
  data | pointer to where string will be created this will need to be freed once done using it

## ARC_IO_ReadFileToUint8t()

void ARC_IO_ReadFileToUint8t | ( | ARC_String * | path,
|  | uint8_t ** | data,
|  | uint64_t * | length )

get string and size from file

Parameters

  path | a string to path of target file
  data | pointer to where uint8_t array will be created this will need to be freed once done using it
  length | length of the data read in

## ARC_IO_WriteStrToFile()

void ARC_IO_WriteStrToFile | ( | ARC_String * | path,
|  | ARC_String * | data )

write string to file

Parameters

  path | a string to path of target file
  data | data to be written